package org.rcisoft.business.memTraffic.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.memTraffic.entity.MemTraffic;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2025年2月13日 上午10:00:53.
*/

public interface MemTrafficRepository extends CyBaseMapper<MemTraffic> {


    List<MemTraffic> queryMemTraffics(@Param("entity") MemTraffic memTraffic);

    /**
    * 分页查询 memTraffic
    *
    */
    IPage<MemTraffic> queryMemTrafficsPaged(CyPageInfo cyPageInfo,@Param("entity") MemTraffic memTraffic);

    void updateMemTraffic(@Param("entity") MemTraffic memTraffic);

    void insertMemTraffic(@Param("entity") MemTraffic memTraffic);
}

